Package io.axoniq.dataprotection.serialization

## Class SimpleSerializedType

- java.lang.Object
- - io.axoniq.dataprotection.serialization.SimpleSerializedType

- All Implemented Interfaces:
    `SerializedType`

      public class SimpleSerializedType
      extends Object
      implements SerializedType

  SerializedType implementation that takes its properties as constructor parameters.
  Since:
    2.0
  Author:
    Allard Buijze

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleSerializedType​(String objectType, String revisionNumber)` | Initialize with given `objectType` and `revisionNumber`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getName()` | Returns the name of the serialized type.
    `String` | `getRevision()` | Returns the revision identifier of the serialized object.
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSerializedType

          public SimpleSerializedType​(String objectType,
                                      String revisionNumber)

      Initialize with given `objectType` and `revisionNumber`
      Parameters:
        `objectType` - The description of the serialized object's type
        `revisionNumber` - The revision of the serialized object's type

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `SerializedType`
      Returns the name of the serialized type. This may be the class name of the serialized object, or an alias for that name.
      Specified by:
        `getName` in interface `SerializedType`
      Returns:
        the name of the serialized type

    - #### getRevision

          public String getRevision()

      Description copied from interface: `SerializedType`
      Returns the revision identifier of the serialized object. This revision identifier is used by upcasters to decide how to transform serialized objects during deserialization.
      Specified by:
        `getRevision` in interface `SerializedType`
      Returns:
        the revision identifier of the serialized object

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`